#
# spec file for package python-Delorean
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Delorean
Version:        0.2.0
Release:        5.1
Summary:        Manipulating datetimes with ease and clarity
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/myusuf3/delorean
Source:         http://pypi.python.org/packages/source/D/Delorean/Delorean-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-python-python-dateutil
Requires:       python-pytz >= 2012h
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Delorean is a library for clearing up the inconvenient truths
that arise dealing with datetimes in Python. Understanding that
timing is a delicate enough of a problem "delorean" hopes
to provide a cleaner less troublesome solution to shifting,
manipulating, and generating datetimes.

%prep
%setup -q -n Delorean-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Fri May  3 2013 speilicke@suse.com
- Don't run testsuite, there is none
* Thu Apr 25 2013 speilicke@suse.com
- Add LICENSE.txt and README.rst
- Add runtime dependencies
* Thu Apr 25 2013 prusnak@opensuse.org
- created package (version 0.2.0)
